#!/bin/sh
# For MAC OS : This script will store the refresh token for Oauth 2.
# This script should be execute only one time before Oauth 2 is used in scripts.
# After you run this script you will use the client id to be authenticate
# For details of how to configure this script visit https://help.anaplan.com/anapedia/Content/Downloads/DL_Downloads.html


ClientId="The client id"
ServiceUrl="https://api.anaplan.com"
AuthUrl="https://us1a.app-r2p2.anaplan.com"

Operation="-debug -service ${ServiceUrl} -auth ${AuthUrl} -W"

#____________________________ Do not edit below this line ______________________________

if [ "${ClientId}" ]; then
  Credentials="-oauth-client-id ${ClientId}"
fi

echo cd "`dirname "$0"`"
cd "`dirname "$0"`"
if [ ! -f ../AnaplanClient.sh ]; then
  echo "Please ensure this script is in the same directory as AnaplanClient.sh." >&2
  exit 1
elif [ ! -x ../AnaplanClient.sh ]; then
  echo "Please ensure you have executable permissions on AnaplanClient.sh." >&2
  exit 1
fi

Command="../AnaplanClient.sh ${Credentials} ${Operation} "
/bin/echo "${Command}"
exec /bin/sh -c "${Command}"