#!/bin/sh
# For MAC OS : This script will import (Import action) from JDBC source.
# Please check the values from jdbc_import.properties
# For details of how to configure this script visit https://help.anaplan.com/anapedia/Content/Downloads/DL_Downloads.html
# Refer to this Anapedia page for information on import: https://help.anaplan.com/b945e7f1-71c8-42ce-82ec-0987edd28bea-Imports-and-exports-as-actions


AnaplanUser="Username:Password"
WorkspaceId="My workspace"
ModelId="My Model"
ImportName="Import Id"
JDBCProperties="jdbc_import.properties"
ServiceUrl="https://api.anaplan.com"
AuthUrl="https://auth.anaplan.com"


Operation="-debug -service ${ServiceUrl} -auth ${AuthUrl} -workspace ${WorkspaceId} -model ${ModelId} -jdbcproperties ${JDBCProperties} -import '${ImportName}' -execute"

#____________________________ Do not edit below this line ______________________________

if [ "${AnaplanUser}" ]; then
  Credentials="-user ${AnaplanUser}"
fi

echo cd "`dirname "$0"`"
cd "`dirname "$0"`"
if [ ! -f ../AnaplanClient.sh ]; then
  echo "Please ensure this script is in the same directory as AnaplanClient.sh." >&2
  exit 1
elif [ ! -x ../AnaplanClient.sh ]; then
  echo "Please ensure you have executable permissions on AnaplanClient.sh." >&2
  exit 1
fi

Command="../AnaplanClient.sh ${Credentials} ${Operation} "
/bin/echo "${Command}"
exec /bin/sh -c "${Command}"