#!/bin/sh
# For MAC OS : This example return cell value from a view page.
# For details of how to configure this script visit https://help.anaplan.com/anapedia/Content/Downloads/DL_Downloads.html
# Refer to this Anapedia page for information on cell value: https://help.anaplan.com/26a09f4f-9a95-429e-b8cb-7d95947c6567-Cell-value-details


AnaplanUser="Username:Password"
WorkspaceId="My Workspace"
ModelId="My Model"
ModuleId="My module"
ViewId="My View"
Page1="page 1"
Page2="page 2"
ServiceUrl="https://api.anaplan.com"
AuthUrl="https://auth.anaplan.com"
OutputPath="File Path"

Operation="-debug -service ${ServiceUrl} -auth ${AuthUrl} -workspace ${WorkspaceId} -model ${ModelId} -module ${ModuleId} -view ${ViewId} -pages ${Page1},${Page2} -execute -get:json ${OutputPath}"

#____________________________ Do not edit below this line ______________________________

if [ "${AnaplanUser}" ]; then
  Credentials="-user ${AnaplanUser}"
fi

echo cd "`dirname "$0"`"
cd "`dirname "$0"`"
if [ ! -f ../AnaplanClient.sh ]; then
  echo "Please ensure this script is in the same directory as AnaplanClient.sh." >&2
  exit 1
elif [ ! -x ../AnaplanClient.sh ]; then
  echo "Please ensure you have executable permissions on AnaplanClient.sh." >&2
  exit 1
fi

Command="../AnaplanClient.sh ${Credentials} ${Operation} "
/bin/echo "${Command}"
exec /bin/sh -c "${Command}"