@echo off
rem For Windows OS : This example explains the usage of Certificate Authentication with Java KeyStore with Anaplan Connect.
rem It also loads a source text file and runs an Anaplan import into a module.
rem For details of how to configure this script visit https://help.anaplan.com/anapedia/Content/Downloads/DL_Downloads.html

set Keystore="Your Java Keystore"
set KeystoreAlias="Your Keystore Alias"
set KeystorePassword="Your Keystore password"
set WorkspaceId="My Workspace"
set ModelId="My Model"
set ServiceUrl="https://api.anaplan.com"
set AuthUrl="https://auth.anaplan.com"
set FileName="FileName from Import data Source"
set FilePath="FilePath on the Client"
set ImportName="Import Action"
set DumpName="Client Location for Dumping the Errored data from Import"
set Chunksize=1

set Operation=-debug -service %ServiceUrl% -auth %AuthUrl% -workspace %WorkspaceId% -model %ModelId% -chunksize %Chunksize% -file %FileName% -put %FilePath% -import %ImportName% -execute -output %DumpName%
set Credentials=-keystore %Keystore% -keystorepass %KeystorePassword% -keystorealias %KeystoreAlias%

rem *** End of settings - Do not edit below this line ***

setlocal enableextensions enabledelayedexpansion || exit /b 1
cd %~dp0
set Command=.\AnaplanClient.bat %Credentials% %Operation%
@echo %Command%
cmd /c %Command%
pause