#!/bin/sh
# For MAC OS : This example explains the usage of basic Authentication with Anaplan Connect.
# For details of how to configure this script visit https://help.anaplan.com/anapedia/Content/Downloads/DL_Downloads.html


AnaplanUser="Username:Password"
WorkspaceId="Workspace Id"
ModelId="Model Id"
ServiceUrl="https://api.anaplan.com"
AuthUrl="https://auth.anaplan.com"
ExportName="Export Name"
FilePath="File Path"

Operation="-debug -service ${ServiceUrl} -auth ${AuthUrl} -workspace ${WorkspaceId} -model ${ModelId} -export '${ExportName}' -execute -get '${FilePath}' "

#____________________________ Do not edit below this line ______________________________

if [ "${AnaplanUser}" ]; then
  Credentials="-user ${AnaplanUser}"
fi

echo cd "`dirname "$0"`"
cd "`dirname "$0"`"
if [ ! -f ../AnaplanClient.sh ]; then
  echo "Please ensure this script is in the same directory as AnaplanClient.sh." >&2
  exit 1
elif [ ! -x ../AnaplanClient.sh ]; then
  echo "Please ensure you have executable permissions on AnaplanClient.sh." >&2
  exit 1
fi

Command="../AnaplanClient.sh ${Credentials} ${Operation} "
/bin/echo "${Command}"
exec /bin/sh -c "${Command}"